curl --request GET \
--url https://app.payemcard.com/api/partner/v1/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.payemcard.com/api/partner/v1/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.payemcard.com/api/partner/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 123,
"current_page": 123,
"page_size": 123,
"results": [
{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"card_id": "<string>",
"merchant": {
"name": "<string>",
"descriptor": "<string>",
"mcc": {
"code": "<string>",
"card_network": "<string>"
}
},
"amount": {
"usd": 123,
"original": {}
},
"status": "<string>",
"decline_info": {
"decline_code": "<string>",
"decline_reason": "<string>"
},
"receipt": {
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
]
}Get transactions
List transactions available to the authenticated Partner.
curl --request GET \
--url https://app.payemcard.com/api/partner/v1/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.payemcard.com/api/partner/v1/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.payemcard.com/api/partner/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 123,
"current_page": 123,
"page_size": 123,
"results": [
{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"card_id": "<string>",
"merchant": {
"name": "<string>",
"descriptor": "<string>",
"mcc": {
"code": "<string>",
"card_network": "<string>"
}
},
"amount": {
"usd": 123,
"original": {}
},
"status": "<string>",
"decline_info": {
"decline_code": "<string>",
"decline_reason": "<string>"
},
"receipt": {
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
]
}Authorizations
Short-lived OAuth 2.0 access token. Tokens expire after five minutes.
Query Parameters
Filter by card owner id. Only applied when card_type is also sent. If sent without card_type, this param is ignored.
Filter by card type. Can be sent alone. When combined with card_owner_id, both filters are applied (AND).
EMPLOYEE, SINGLE-USE, VENDOR Inclusive UTC start date (YYYY-MM-DD) of the transaction time. Can be sent without date_to.
Inclusive UTC end date (YYYY-MM-DD) of the transaction time. Includes the entire day. Can be sent without date_from.
Page number
Number of results per page. Defaults to 50. Values above 100 are clamped to 100.
Filter by receipt presence. true returns transactions with a receipt; false returns transactions without a receipt. Omit to return all transactions.
false, true Search string
